package com.aplusinformatique.aplusmanager.Tools;

import com.aplusinformatique.aplusmanager.Classes.Destinataire;

import java.util.ArrayList;

public abstract class Global {
    public static String version = "1.1a";

    public static ArrayList<Destinataire> destinaires = new ArrayList<>();

    public static void removeDestinataire(String id) {
        Destinataire dest = recupererDestinataire(id);

        if (dest != null) {
            destinaires.remove(dest);
        }
    }

    public static void ajouterDestinataire(Destinataire d) {
        if (!destinataireExiste(d.getId())) {
            destinaires.add(d);
        }
    }

    public static boolean destinataireExiste(String id) {
        for (Destinataire d : destinaires) {
            if (d.getId().equals(id)) return true;
        }

        return false;
    }

    public static Destinataire recupererDestinataire(String id) {
        for (Destinataire d : destinaires) {
            if (d.getId().equals(id)) return d;
        }

        return null;
    }

    public static void resetDestinataires() {
        destinaires.clear();
    }
}
